Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portlet.prefs.spi
Class PreferencePersistenceDelegate

    java.lang.Object
      com.bea.portlet.prefs.spi.PreferencePersistenceDelegate

    public class PreferencePersistenceDelegate

extends Object

Manages portlet preferences. This class can manage preferences across local and remote portlets. This class will use the deployed SPI for managing preferences for local portlets.

Nested Class Summary
`static class` | `PreferencePersistenceDelegate.Factory` Returns an instance of `PreferencePersistenceDelegate`.

Constructor Summary
`protected` | `PreferencePersistenceDelegate()` Creates an instance.

Method Summary
`boolean` | `canPropagatePreferences(PortletPreferencesId uniqueId, HttpServletRequest httpRequest)` Returns `true` if the given portlet supports portlet preferences and can propagate preferences to successor instances.
`Map` | `getPreferences(PortletPreferencesId uniqueId, HttpServletRequest httpRequest, Map defaultPreferences)` Returns preferences for the given portlet.
`protected boolean` | `isRemote(HttpServletRequest httpRequest, PortletPreferencesId uniqueId)` Returns `true` if the given portlet is a proxy portlet.
`void` | `removePreferences(PortletPreferencesId uniqueId, HttpServletRequest httpRequest)` Removes preferences.
`PortletPreferencesId` | `storePreferences(PortletPreferencesId uniqueId, Map preferences, HttpServletRequest httpRequest, boolean checkForSuccessor, boolean propagate)` Stores portlet preferences.
`PortletPreferencesId` | `storePreferences(PortletPreferencesId uniqueId, Map preferences, HttpServletRequest httpRequest, boolean checkForSuccessor, boolean propagate, boolean forceSuccessorCreate)` Deprecated use `storePreferences(PortletPreferencesId, Map, HttpServletRequest, boolean, boolean)`
`boolean` | `supportsPreferences(PortletPreferencesId uniqueId, HttpServletRequest httpRequest)` Indicates whether the given portlet supports preferences or not.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreferencePersistenceDelegate

    protected PreferencePersistenceDelegate()

  Creates an instance.

Method Detail

### getPreferences

    public Map getPreferences(PortletPreferencesId uniqueId,
                              HttpServletRequest httpRequest,
                              Map defaultPreferences)
                       throws PreferenceStoreException

  Returns preferences for the given portlet.

  Parameters
    `uniqueId` - unique ID
    `httpRequest` - HTTP request
    `defaultPreferences` - defaults
  Returns
    preferences
  Throws
    `PreferenceStoreException`

### storePreferences

    public PortletPreferencesId storePreferences(PortletPreferencesId uniqueId,
                                                 Map preferences,
                                                 HttpServletRequest httpRequest,
                                                 boolean checkForSuccessor,
                                                 boolean propagate)
                                          throws PreferenceStoreException

  Stores portlet preferences.

  Parameters
    `uniqueId` -
    `preferences` -
    `httpRequest` -
    `checkForSuccessor` -
    `propagate` -
  Returns
  Throws
    `PreferenceStoreException`

### storePreferences

    @Deprecated
    public PortletPreferencesId storePreferences(PortletPreferencesId uniqueId,
                                                            Map preferences,
                                                            HttpServletRequest httpRequest,
                                                            boolean checkForSuccessor,
                                                            boolean propagate,
                                                            boolean forceSuccessorCreate)
                                          throws PreferenceStoreException

  Deprecated use `storePreferences(PortletPreferencesId, Map, HttpServletRequest, boolean, boolean)`

  Stores portlet preferences.

  Parameters
    `uniqueId` -
    `preferences` -
    `httpRequest` -
    `checkForSuccessor` -
    `propagate` -
  Returns
  Throws
    `PreferenceStoreException`

### removePreferences

    public void removePreferences(PortletPreferencesId uniqueId,
                                  HttpServletRequest httpRequest)
                           throws PreferenceStoreException

  Removes preferences.

  Parameters
    `uniqueId` -
    `httpRequest` -
  Throws
    `PreferenceStoreException`

### supportsPreferences

    public boolean supportsPreferences(PortletPreferencesId uniqueId,
                                       HttpServletRequest httpRequest)
                                throws PreferenceStoreException

  Indicates whether the given portlet supports preferences or not.

  Parameters
    `uniqueId` -
    `httpRequest` -
  Returns
    boolean
  Throws
    `PreferenceStoreException`

### canPropagatePreferences

    public boolean canPropagatePreferences(PortletPreferencesId uniqueId,
                                           HttpServletRequest httpRequest)
                                    throws PreferenceStoreException

  Returns `true` if the given portlet supports portlet preferences and can propagate preferences to successor instances.

  Parameters
    `uniqueId` -
    `httpRequest` -
  Returns
  Throws
    `PreferenceStoreException`

### isRemote

    protected boolean isRemote(HttpServletRequest httpRequest,
                               PortletPreferencesId uniqueId)
                        throws PreferenceStoreException

  Returns `true` if the given portlet is a proxy portlet. If the portlet is remote, this class uses an internal SPI for proxy portlets.

  Parameters
    `httpRequest` -
    `uniqueId` -
  Returns
  Throws
    `PreferenceStoreException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved